openSUSE Security Update : coreutils (openSUSE-SU-2013:0232-1)

medium Nessus Plugin ID 75167

Synopsis

The remote openSUSE host is missing a security update.

Description

- Avoid segmentation fault in 'join -i' with long line input (bnc#798541, VUL-1, CVE-2013-0223)

- Avoid segmentation fault in 'uniq' with long line input (bnc#796243, VUL-1, CVE-2013-0222)

- Avoid segmentation fault in 'sort -d' and 'sort -M' with long line input (bnc#798538, VUL-1, CVE-2013-0221)

- don't leak a file descriptor for each non-seekable input

Solution

Update the affected coreutils packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=796243

https://bugzilla.novell.com/show_bug.cgi?id=798538

https://bugzilla.novell.com/show_bug.cgi?id=798541

https://lists.opensuse.org/opensuse-updates/2013-02/msg00001.html

Plugin Details

Severity: Medium

ID: 75167

File Name: openSUSE-2013-75.nasl

Version: 1.4

Type: local

Agent: unix

Published: 6/13/2014

Updated: 1/19/2021

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 4.2

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:coreutils, p-cpe:/a:novell:opensuse:coreutils-debuginfo, p-cpe:/a:novell:opensuse:coreutils-debugsource, p-cpe:/a:novell:opensuse:coreutils-lang, cpe:/o:novell:opensuse:12.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 1/23/2013

Reference Information

CVE: CVE-2013-0221, CVE-2013-0222, CVE-2013-0223